Bug 1564139 - need a test to validate flags and validity of github issues.
Summary: need a test to validate flags and validity of github issues.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard: Process-Automation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-05 13:00 UTC by Amar Tumballi
Modified: 2018-04-12 07:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-12 06:13:30 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Amar Tumballi 2018-04-05 13:00:28 UTC
# Description of problem

Today there is no way to control a reference to wrong github issue, and then making the smoke tests capture it.

Also, we should get control on labels, where we would always need 'SpecApproved' and 'DocApproved' flags for features.

Comment 1 Nigel Babu 2018-04-06 05:52:31 UTC
1. Referencing the wrong issue is not something we can control. You can always make a mistake in either smoke or bugzilla. That's something I cannot control.
2. The code for ensuring the rest is ready for merge pending agreement from the community.

Comment 2 Amar Tumballi 2018-04-06 09:17:20 UTC
The note to community was that we are willing to make edits to behavior on discussion, and will go ahead and implement soon for making sure we have documentation for the features. Can we start this from April 15th?

Comment 3 Nigel Babu 2018-04-12 05:57:11 UTC
This has now landed. Notable missing feature - if there is an existing issue on the commit, we don't check if it has all the flags. Going to keep this issue open till I fix that.

Comment 4 Nigel Babu 2018-04-12 06:13:30 UTC
Talked with Amar. We're going to leave this as a grace period for existing reviews.


Note You need to log in before you can comment on or make changes to this bug.